Debian Bug report logs - #624807
transition: Libav 0.7

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mehdi Dogguy <mehdi@dogguy.org>

Date: Sun, 1 May 2011 18:30:01 UTC

Owned by: siretart@debian.org

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Sun, 01 May 2011 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Sun, 01 May 2011 18:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Reinhard Tartler <siretart@debian.org>
Cc: debian-release@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Upcoming Libav 0.7 transition
Date: Sun, 01 May 2011 20:28:21 +0200
Package: release.debian.org
Owner: siretart@debian.org
Subject: transition: libav 0.7
User: release.debian.org@packages.debian.org
Usertags: transition

On 05/01/2011 06:46 PM, Reinhard Tartler wrote:
>
> I'd like to ask for permission to start a new Libav (the new FFmpeg)
> transition in unstable. The current package can be seen in experimental,
> basically all libraries bumped SONAME, so that the new release is
> co-installable with the Libav 0.6 series.
>

I'm turning this into a bugreport, so that we don't forget about it.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Changed Bug title to 'transition: Libav 0.7' from 'Upcoming Libav 0.7 transition' Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 21 Jul 2011 13:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Mon, 25 Jul 2011 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Mon, 25 Jul 2011 03:15:04 GMT) Full text and rfc822 format available.

Message #12 received at 624807@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 624807@bugs.debian.org
Subject: libav 0.7 transition
Date: Sun, 24 Jul 2011 23:10:38 -0400
Has there been any work on transitioning to libav-0.7?

-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Mon, 25 Jul 2011 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Mon, 25 Jul 2011 06:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 624807@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 624807@bugs.debian.org
Subject: Re: Bug#624807: libav 0.7 transition
Date: Mon, 25 Jul 2011 08:07:00 +0200
On Mon, Jul 25, 2011 at 05:10:38 (CEST), Andres Mejia wrote:

> Has there been any work on transitioning to libav-0.7?

The package itself is ready since *May*, and in the meantime the
transition has already started in Ubuntu oneiric. In this course, a
number of build fixes in form of patches has been forwarded to debian
for inclusion in unstable. In that sense, yes, there has been work done
on the transition.

However, I'm still waiting for the green light to upload the current
package from experimental to unstable.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Sat, 20 Aug 2011 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Sat, 20 Aug 2011 09:42:06 GMT) Full text and rfc822 format available.

Message #22 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Reinhard Tartler <siretart@tauware.de>
Cc: 624807@bugs.debian.org
Subject: Re: Bug#624807: libav 0.7 transition
Date: Sat, 20 Aug 2011 11:39:03 +0200
On Mon, Jul 25, 2011 at 08:07:00AM +0200, Reinhard Tartler wrote:
> On Mon, Jul 25, 2011 at 05:10:38 (CEST), Andres Mejia wrote:
> 
> > Has there been any work on transitioning to libav-0.7?
> 
> The package itself is ready since *May*, and in the meantime the
> transition has already started in Ubuntu oneiric. In this course, a
> number of build fixes in form of patches has been forwarded to debian
> for inclusion in unstable. In that sense, yes, there has been work done
> on the transition.
> 
> However, I'm still waiting for the green light to upload the current
> package from experimental to unstable.

As requested by Julien I'll rebuilt all reverse deps against libav 0.7.1
from experimental:

The following packages FTBFS when built against libav/0.7.1. The bugs
have been usertagged with the user jmm@debian.org and the tag libav07:

k9copy (638248)
vxl (638251)
moc (638250)
gnash (638249)
ffmpeg2theora (638245)
paraview (638246)
picard (638244)
kdemultimedia (638241)
libphash (638243)
smilutils (638242)
sox (638206)
avbin (632133)
guvcview (638323)
xine-lib (628197)
lynkeos.app (638535)
k3b (638546)
miro (638550)
xmms2 (638552)
kino (634214)
gmerlin-encoders (638556)
imageshack-uploader (633904)
vtk (638559)
electricsheep (638560)
aqualung (632128)
performous (637105)
kradio4 (638563)
gmerlin-avdecoder (638564)
avifile (638566)
idjc (638569)

I've set patch tags if a patch already exists.



The following packages have been fixed in experimental:

dvbcut
mplayer
gstreamer0.10-ffmpeg
ffms2


The following packages have successfully compiled against libav
from experimental:

libvalhalla
mpd
zoneminder
amide
qutecom
minidlna
qmmp
linphone
chromaprint
spek
cherokee
netgen
wxsvg
renpy
alsa-plugins
unicap
gmic
dvswitch
vlc
amarok
lebiniou
cmus
mlt
opencv
lives
xjadeo
libomxil-bellagio
freecad
x264
forked-daapd
audacious-plugins
audacity
libquicktime
taoframework
blender
ffmpegthumbnailer
gimp-gap
kdenlive



The following packages are not in testing (usually kept out due to other FTBFS
bugs). I couldn't test them. In some cases a patch for libav07 compatibility
exists.

freej (4 RC bugs, unmaintained, probably best to be removed)
ffmpeg-php (patch available at #586550)
gdcm
libavg
gnusound (FTBFS: #622013)
ktoon (FTBFS: #625121)
moon (multiple FTBFS, filed archive RM bug)
mediatomb (multiple FTBFS)
motion (FTBFS: #621962) (removal pending)
jugglemaster (FTBFS) (removal pending)
igstk


The following packages FTBFS, but are still in testing. Likewise I couldn't
test their libav compatibility. Maybe they should be removed from testing
as well to have a clean status?

elmerfem (FTBFS: #638214)
acoustid-fingerprinter (FTBFS: #634564)
openscenegraph (#638210, #638294)

Cheers,
        Moritz












Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Wed, 24 Aug 2011 21:06:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Wed, 24 Aug 2011 21:06:40 GMT) Full text and rfc822 format available.

Message #27 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Reinhard Tartler <siretart@tauware.de>
Cc: 624807@bugs.debian.org
Subject: Re: Bug#624807: libav 0.7 transition
Date: Wed, 24 Aug 2011 23:04:03 +0200
On Sat, Aug 20, 2011 at 11:39:03AM +0200, Moritz Mühlenhoff wrote:
> On Mon, Jul 25, 2011 at 08:07:00AM +0200, Reinhard Tartler wrote:
> > On Mon, Jul 25, 2011 at 05:10:38 (CEST), Andres Mejia wrote:
> > 
> > > Has there been any work on transitioning to libav-0.7?
> > 
> > The package itself is ready since *May*, and in the meantime the
> > transition has already started in Ubuntu oneiric. In this course, a
> > number of build fixes in form of patches has been forwarded to debian
> > for inclusion in unstable. In that sense, yes, there has been work done
> > on the transition.
> > 
> > However, I'm still waiting for the green light to upload the current
> > package from experimental to unstable.

Status update, several packages have been fixed by myself/maintainer
uploads and a few have been removed since then:

The following packages FTBFS when built against libav/0.7.1. The bugs
have been usertagged with the user jmm@debian.org and the tag libav07:
vxl (638251)
moc (638250)
gnash (638249)
ffmpeg2theora (638245)
paraview (638246)
picard (638244)
kdemultimedia (638241)
libphash (638243)
avbin (632133)
guvcview (638323)
xine-lib (628197)
lynkeos.app (638535)
k3b (638546)
miro (638550)
xmms2 (638552)
kino (634214)
gmerlin-encoders (638556)
imageshack-uploader (633904)
vtk (638559)
electricsheep (638560)
aqualung (632128)
gmerlin-avdecoder (638564)
idjc (638569)

 
The following packages have been fixed in experimental:
dvbcut
mplayer
gstreamer0.10-ffmpeg
ffms2
 
 
The following packages are compatible with libav from experimental:
libvalhalla
mpd
zoneminder
amide
qutecom
minidlna
qmmp
linphone
chromaprint
spek
cherokee
netgen
wxsvg
renpy
alsa-plugins
unicap
gmic
dvswitch
vlc
amarok
lebiniou
cmus
mlt
opencv
lives
xjadeo
libomxil-bellagio
freecad
x264
forked-daapd
audacious-plugins
audacity
libquicktime
taoframework
blender
ffmpegthumbnailer
gimp-gap
kdenlive
kradio4
k9copy
sox
avifile
performous
jugglemaster


The following packages are not in testing (usually kept out due to other FTBFS
bugs). I couldn't test them. In some cases a patch for libav07 compatibility
exists.

freej (4 RC bugs, unmaintained, probably best to be removed)
ffmpeg-php (patch available at #586550)
gdcm
libavg
gnusound (FTBFS: #622013)
ktoon (FTBFS: #625121)
mediatomb (multiple FTBFS)
motion (FTBFS: #621962)
igstk


The following packages FTBFS, but are still in testing. Likewise I couldn't
test their libav compatibility.

elmerfem (FTBFS: #638214)
acoustid-fingerprinter (FTBFS: #634564)
openscenegraph (#638210, #638294)

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Thu, 01 Sep 2011 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Thu, 01 Sep 2011 20:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 624807@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Reinhard Tartler <siretart@debian.org>
Cc: 624807@bugs.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Upcoming Libav 0.7 transition
Date: Thu, 1 Sep 2011 22:30:54 +0200
On Sun, May  1, 2011 at 18:46:27 +0200, Reinhard Tartler wrote:

> Hi,
> 
> I'd like to ask for permission to start a new Libav (the new FFmpeg)
> transition in unstable. The current package can be seen in experimental,
> basically all libraries bumped SONAME, so that the new release is
> co-installable with the Libav 0.6 series.
> 
Sorry for the delay.  Please feel free to go ahead with this.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Thu, 01 Sep 2011 21:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Thu, 01 Sep 2011 21:57:07 GMT) Full text and rfc822 format available.

Message #37 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Reinhard Tartler <siretart@tauware.de>, 624807@bugs.debian.org
Subject: Re: Bug#624807: libav 0.7 transition
Date: Thu, 1 Sep 2011 23:23:35 +0200
On Wed, Aug 24, 2011 at 11:04:03PM +0200, Moritz Muehlenhoff wrote:
> On Sat, Aug 20, 2011 at 11:39:03AM +0200, Moritz Mühlenhoff wrote:
> > On Mon, Jul 25, 2011 at 08:07:00AM +0200, Reinhard Tartler wrote:
> > > On Mon, Jul 25, 2011 at 05:10:38 (CEST), Andres Mejia wrote:
> > > 
> > > > Has there been any work on transitioning to libav-0.7?
> > > 
> > > The package itself is ready since *May*, and in the meantime the
> > > transition has already started in Ubuntu oneiric. In this course, a
> > > number of build fixes in form of patches has been forwarded to debian
> > > for inclusion in unstable. In that sense, yes, there has been work done
> > > on the transition.
> > > 
> > > However, I'm still waiting for the green light to upload the current
> > > package from experimental to unstable.

Since Julien gave green light to initiate the transition, here's the
current list:

The following packages FTBFS when built against libav/0.7.1. The bugs
have been usertagged with the user jmm@debian.org and the tag libav07:
vxl (638251)
moc (638250)
gnash (638249)
ffmpeg2theora (638245)
paraview (638246)
picard (638244)
kdemultimedia (638241)
libphash (638243)
avbin (632133)
xine-lib (628197)
lynkeos.app (638535)
k3b (638546)
miro (638550)
kino (634214)
gmerlin-encoders (638556)
imageshack-uploader (633904)
vtk (638559)
electricsheep (638560)
aqualung (632128)
gmerlin-avdecoder (638564)
idjc (638569)

The following packages have been fixed in experimental:
dvbcut
mplayer
gstreamer0.10-ffmpeg
ffms2
 
The following packages are compatible with libav from experimental:
libvalhalla
mpd
zoneminder
amide
qutecom
minidlna
qmmp
linphone
chromaprint
spek
cherokee
netgen
wxsvg
renpy
alsa-plugins
unicap
gmic
dvswitch
vlc
amarok
lebiniou
cmus
mlt
opencv
lives
xjadeo
libomxil-bellagio
freecad
x264
forked-daapd
audacious-plugins
audacity
libquicktime
taoframework
blender
ffmpegthumbnailer
gimp-gap
kdenlive
kradio4
k9copy
sox
avifile
performous
jugglemaster
guvcview
acoustid-fingerprinter
xmms2

The following packages are not in testing (usually kept out due to other FTBFS
bugs). I couldn't test them. In some cases a patch for libav07 compatibility
exists.
 
freej (4 RC bugs, unmaintained, probably best to be removed)
ffmpeg-php (patch available at #586550)
gdcm
libavg
gnusound (FTBFS: #622013)
ktoon (FTBFS: #625121)
mediatomb (multiple FTBFS)
motion (FTBFS: #621962)
igstk
 
The following packages FTBFS, but are still in testing. Likewise I couldn't
test their libav compatibility.
 
elmerfem (FTBFS: #638214)
openscenegraph (#638210, #638294)
 
Cheers,
        Moritz





Added tag(s) pending. Request was from Julien Cristau <julien.cristau@logilab.fr> to control@bugs.debian.org. (Fri, 02 Sep 2011 12:15:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Fri, 02 Sep 2011 17:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Fri, 02 Sep 2011 17:39:09 GMT) Full text and rfc822 format available.

Message #44 received at 624807@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Moritz Mühlenhoff <jmm@inutil.org>, 624807@bugs.debian.org
Cc: Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Fri, 2 Sep 2011 19:35:08 +0200
On Thu, Sep  1, 2011 at 23:23:35 +0200, Moritz Mühlenhoff wrote:

> Since Julien gave green light to initiate the transition, here's the
> current list:
> 
Thanks!

> The following packages FTBFS when built against libav/0.7.1. The bugs
> have been usertagged with the user jmm@debian.org and the tag libav07:
[...]

Can somebody bump these to serious severity?

> The following packages have been fixed in experimental:
> dvbcut
> mplayer
> gstreamer0.10-ffmpeg
> ffms2
>  
dvbcut, mplayer and ffms2 seem to have moved to sid now.  Please notify
the maintainers for gstreamer0.10-ffmpeg.

> The following packages are compatible with libav from experimental:
[...]

Scheduled binNMUs for those.  taoframework is arch:all though so needs a
source upload, please contact the maintainers.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Fri, 02 Sep 2011 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Fri, 02 Sep 2011 18:09:06 GMT) Full text and rfc822 format available.

Message #49 received at 624807@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 624807@bugs.debian.org
Cc: Moritz Mühlenhoff <jmm@inutil.org>, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Fri, 02 Sep 2011 19:06:15 +0100
On Fri, 2011-09-02 at 19:35 +0200, Julien Cristau wrote:
> On Thu, Sep  1, 2011 at 23:23:35 +0200, Moritz Mühlenhoff wrote:
> > The following packages FTBFS when built against libav/0.7.1. The bugs
> > have been usertagged with the user jmm@debian.org and the tag libav07:
> [...]
> 
> Can somebody bump these to serious severity?

Done.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Fri, 02 Sep 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Fri, 02 Sep 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #54 received at 624807@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Moritz Mühlenhoff <jmm@inutil.org>, 624807@bugs.debian.org
Cc: Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Fri, 2 Sep 2011 23:31:34 +0200
On Thu, Sep  1, 2011 at 23:23:35 +0200, Moritz Mühlenhoff wrote:

> avifile

Fails: https://buildd.debian.org/status/package.php?p=avifile&suite=sid

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Sat, 03 Sep 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Sat, 03 Sep 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #59 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, 624807@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Sat, 3 Sep 2011 15:51:15 +0200
On Fri, Sep 02, 2011 at 11:31:34PM +0200, Julien Cristau wrote:
> On Thu, Sep  1, 2011 at 23:23:35 +0200, Moritz Mühlenhoff wrote:
> 
> > avifile
> 
> Fails: https://buildd.debian.org/status/package.php?p=avifile&suite=sid

Weird, I'll look into it.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Sat, 03 Sep 2011 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Sat, 03 Sep 2011 14:21:06 GMT) Full text and rfc822 format available.

Message #64 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, 624807@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Sat, 3 Sep 2011 16:18:39 +0200
On Fri, Sep 02, 2011 at 07:35:08PM +0200, Julien Cristau wrote:

> > The following packages are compatible with libav from experimental:
> [...]
> 
> Scheduled binNMUs for those.  taoframework is arch:all though so needs a
> source upload, please contact the maintainers.

Filed as #640224.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Mon, 12 Sep 2011 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Mon, 12 Sep 2011 16:42:06 GMT) Full text and rfc822 format available.

Message #69 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: Reinhard Tartler <siretart@tauware.de>, 624807@bugs.debian.org
Subject: Re: Bug#624807: libav 0.7 transition
Date: Mon, 12 Sep 2011 18:40:54 +0200
Here's a status update on the libav transition.

The following packages are present in testing and FTBFS when built 
against libav/0.7.1. The bugs have been usertagged with the user 
jmm@debian.org and the tag libav07:

vxl (638251)
gnash (638249)
ffmpeg2theora (638245)
picard (638244)
libphash (638243)
avbin (632133)
lynkeos.app (638535)
k3b (638546)
kino (634214)
electricsheep (638560)
elmerfem (640548)
motion (640562)

The following packages are not present in testing and FTBFS when built 
against libav/0.7.1. The bugs have been usertagged with the user 
jmm@debian.org and the tag libav07:

ffmpeg-php (586550)
freej (640697)

The following packages are not in testing (usually kept out due to other FTBFS
bugs). I couldn't test them due to FTBFS for unrelated reasons:
  
gnusound (FTBFS: #622013)
ktoon (FTBFS: #625121)
mediatomb (multiple FTBFS)
igstk
  
Cheers,
        Moritz








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Sat, 01 Oct 2011 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Sat, 01 Oct 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #74 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Reinhard Tartler <siretart@tauware.de>, 624807@bugs.debian.org
Subject: Re: Bug#624807: libav 0.7 transition
Date: Sat, 1 Oct 2011 18:56:57 +0200
Here's a status update on the libav transition. The old ffmpeg package
still needs to vanish from testing.

I've NMUd libphash and elmerfem today.

The following packages are present in testing and FTBFS when built 
against libav/0.7.1. The bugs have been usertagged with the user 
jmm@debian.org and the tag libav07:

picard (638244) (last maint upload in 2009)
avbin (632133) (last maint upload in 2009)
kino (634214) (last maint upload in 2009)
electricsheep (638560) (last maint upload in 2009)
-> I suggest to remove these four from testing, some have reverse 
Recommends, but no rev deps exist

motion (640562)
gnash (638249) 


The following packages are not present in testing and mostly 
FTBFS when built against libav/0.7.1. The bugs have been 
usertagged with the user jmm@debian.org and the tag libav07:
 
ffmpeg-php (586550)
freej (640697)
ktoon (634668)
gnusound
mediatomb

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Thu, 06 Oct 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Thu, 06 Oct 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #79 received at 624807@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 624807@bugs.debian.org
Cc: Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Thu, 6 Oct 2011 20:15:19 +0200
On Sat, Oct  1, 2011 at 18:56:57 +0200, Moritz Muehlenhoff wrote:

> Here's a status update on the libav transition. The old ffmpeg package
> still needs to vanish from testing.
> 
> I've NMUd libphash and elmerfem today.
> 
Thanks.

> The following packages are present in testing and FTBFS when built 
> against libav/0.7.1. The bugs have been usertagged with the user 
> jmm@debian.org and the tag libav07:
> 
> picard (638244) (last maint upload in 2009)
> avbin (632133) (last maint upload in 2009)
> kino (634214) (last maint upload in 2009)
> electricsheep (638560) (last maint upload in 2009)
> -> I suggest to remove these four from testing, some have reverse 
> Recommends, but no rev deps exist
> 
Hinted out.

> motion (640562)
> gnash (638249) 
> 
Gnash is now fixed.

In wheezy, there's also:
- imageshack-uploader (OOD on some archs where one of its build-deps
  doesn't exist anymore; need a bug filed),
- lynkeos.app (part of gnustep transition),
- paraview (RC-buggy),
- cherokee (FTBFS on mips; need a bug filed).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org:
Bug#624807; Package release.debian.org. (Sun, 09 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, siretart@debian.org. (Sun, 09 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #84 received at 624807@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 624807@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Sun, 9 Oct 2011 20:08:06 +0200
On Thu, Oct 06, 2011 at 08:15:19PM +0200, Julien Cristau wrote:

> - cherokee (FTBFS on mips; need a bug filed).

#641774

Cheers,
        Moritz




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 14 Nov 2011 10:33:25 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@dogguy.org>:
Bug acknowledged by developer. (Mon, 14 Nov 2011 10:33:30 GMT) Full text and rfc822 format available.

Message #89 received at 624807-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Moritz Mühlenhoff <jmm@inutil.org>, 624807-done@bugs.debian.org
Cc: Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#624807: libav 0.7 transition
Date: Mon, 14 Nov 2011 11:29:19 +0100
On Sun, Oct  9, 2011 at 20:08:06 +0200, Moritz Mühlenhoff wrote:

> On Thu, Oct 06, 2011 at 08:15:19PM +0200, Julien Cristau wrote:
> 
> > - cherokee (FTBFS on mips; need a bug filed).
> 
> #641774
> 
cherokee was the last blocker, and is now removed from testing, so this
is now complete.  Closing.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Dec 2011 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:32:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.